<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

<h:body>
    <f:metadata>
        <f:viewParam name="id" value="#{mbArticle.sousCatSelect}"></f:viewParam>
        <f:viewParam name="banque" value="#{mbHisto.redirectFromBanque}"/>
        <f:viewAction action="#{mbArticle.init()}"></f:viewAction>
        <f:viewAction action="#{mbHisto.init()}"></f:viewAction>
    </f:metadata>

    <ui:composition template="/arche/arche.xhtml">
        <ui:define name="content">
            <b:jumbotron>
                <b:container>
                    <h1>Mes événements</h1>
                </b:container>
            </b:jumbotron>

            <h:form>
                <b:dataTable value="#{mbHisto.histoEvent}"
                             var="event" info="false">
                    <b:dataTableColumn>
                        <f:facet name="header"><h:outputText value="Date Validation"/></f:facet>
                        <h:outputText value="#{event.e.dateValidation}">
                            <f:convertDateTime pattern="#{mbUser.DATE_FORMAT}"/>
                        </h:outputText>
                    </b:dataTableColumn>
                    <b:dataTableColumn value="#{event.e.typeEvent.nom}" label="Type d'événement"/>
                    <b:dataTableColumn value="#{event.e.intitule}" label="Nom"/>
                    <b:dataTableColumn>
                        <f:facet name="header"><h:outputText value="Début"/></f:facet>
                        <h:outputText value="#{event.e.dateDebut}">
                            <f:convertDateTime pattern="#{mbUser.DATE_FORMAT}"/>
                        </h:outputText>
                    </b:dataTableColumn>
                    <b:dataTableColumn>
                        <f:facet name="header"><h:outputText value="Fin"/></f:facet>
                        <h:outputText value="#{event.e.dateFin}">
                            <f:convertDateTime pattern="#{mbUser.DATE_FORMAT}"/>
                        </h:outputText>
                    </b:dataTableColumn>
                    <b:dataTableColumn value="#{event.e.rueLivraison}" label="Adresse livraison"/>
                    <b:dataTableColumn>
                        <f:facet name="header"><h:outputText value="Prix"/></f:facet>
                        <h:outputText value="#{event.prix}">
                            <f:convertNumber currencySymbol="€" type="currency"/>
                        </h:outputText>
                    </b:dataTableColumn>

                    <b:dataTableColumn label="" width="10px">
                        <b:commandButton value="commande" look="primary"
                                         style="width:100%" action="#{mbHisto.commandeByIdEvent(event.e.id)}"/>
                    </b:dataTableColumn>
                </b:dataTable>
                <b:row>
                    <b:column span="3">
                        <h:commandButton action="/test/ajoutEventTest" value="Créer un nouvel événement"
                                         styleClass="btn btn-primary"/> </b:column>
                </b:row>
            </h:form>

        </ui:define>
    </ui:composition>
</h:body>
</html>